6.0.0-git
2021-01-18

[#6848] missing memcache port breaks rpc
Summary missing memcache port breaks rpc
Queue Horde Base
Queue Version 3.2
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester xk3 (at) mompl (dot) org
Created 2008-06-05 (4610 days ago)
Due
Updated 2008-06-06 (4609 days ago)
Assigned 2008-06-06 (4609 days ago)
Resolved 2008-06-06 (4609 days ago)
Milestone
Patch No

History
2008-06-06 04:50:39 Michael Slusarz Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in Horde 3.2.1.
2008-06-06 04:29:21 Chuck Hagenbuch Assigned to Michael Slusarz
State ⇒ Assigned
 
2008-06-05 16:29:03 xk3 (at) mompl (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ missing memcache port breaks rpc
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have a memcached running and do connect via socket:



$conf[memcache][hostspec]  "unix:///var/run/memcached/memcached.sock"



If the memcache port is unconfigured, calling rpc.php results in 
(breaking sync):



Notice: Undefined offset: 0 in 
/var/www/org.afaik.duff_ssl/mail-new/lib/Horde/Memcache.php on line 110

Notice: Undefined offset: 0 in 
/var/www/org.afaik.duff_ssl/mail-new/lib/Horde/Memcache.php on line 111



Setting the (optional!) memcache port to something solves this problem.


Saved Queries